# Serialized Form

- ## Package org.pentaho.reporting.libraries.resourceloader

  - ### Class org.pentaho.reporting.libraries.resourceloader.CompoundResource extends java.lang.Object implements Serializable

    serialVersionUID:
      -5828242419391352185L

    - ### Serialized Fields

      - #### dependencies

            DependencyCollector dependencies

      - #### product

            java.lang.Object product

      - #### source

            ResourceKey source

      - #### targetType

            java.lang.Class targetType

  - ### Class org.pentaho.reporting.libraries.resourceloader.ContentNotRecognizedException extends ResourceCreationException implements Serializable

    serialVersionUID:
      816828118909665976L

  - ### Class org.pentaho.reporting.libraries.resourceloader.DependencyCollector extends java.lang.Object implements Serializable

    serialVersionUID:
      -3568774359923270189L

    - ### Serialized Fields

      - #### dependencies

            java.util.HashMap dependencies

  - ### Class org.pentaho.reporting.libraries.resourceloader.FactoryParameterKey extends java.lang.Object implements Serializable

    serialVersionUID:
      4574332935778105499L

    - ### Serialized Fields

      - #### name

            java.lang.String name

  - ### Class org.pentaho.reporting.libraries.resourceloader.LoaderParameterKey extends java.lang.Object implements Serializable

    serialVersionUID:
      248656222959755320L

    - ### Serialized Fields

      - #### name

            java.lang.String name

  - ### Class org.pentaho.reporting.libraries.resourceloader.ResourceCreationException extends ResourceException implements Serializable

    serialVersionUID:
      3808811250190779639L

  - ### Class org.pentaho.reporting.libraries.resourceloader.ResourceException extends org.pentaho.reporting.libraries.base.util.StackableException implements Serializable

    serialVersionUID:
      9017929290846143507L

  - ### Class org.pentaho.reporting.libraries.resourceloader.ResourceKey extends java.lang.Object implements Serializable

    serialVersionUID:
      -7764107570068726772L

    - ### Serialized Fields

      - #### factoryParameters

            java.util.Map factoryParameters

      - #### hashCode

            java.lang.Integer hashCode

      - #### identifier

            java.lang.Object identifier

      - #### parent

            ResourceKey parent

      - #### schema

            java.lang.Object schema

  - ### Class org.pentaho.reporting.libraries.resourceloader.ResourceKeyCreationException extends ResourceException implements Serializable

    serialVersionUID:
      -8411385657974722306L

  - ### Class org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException extends ResourceException implements Serializable

    serialVersionUID:
      -940152083042961377L

  - ### Class org.pentaho.reporting.libraries.resourceloader.SimpleResource extends java.lang.Object implements Serializable

    serialVersionUID:
      -6007941678785921339L

    - ### Serialized Fields

      - #### key

            ResourceKey key

      - #### targetType

            java.lang.Class targetType

      - #### value

            java.lang.Object value

      - #### version

            long version

  - ### Class org.pentaho.reporting.libraries.resourceloader.UnrecognizedLoaderException extends ResourceLoadingException implements Serializable

    serialVersionUID:
      6319955849184970434L

- ## Package org.pentaho.reporting.libraries.resourceloader.cache

  - ### Class org.pentaho.reporting.libraries.resourceloader.cache.BundleCacheResourceWrapper extends java.lang.Object implements Serializable

    - ### Serialized Fields

      - #### outsideKey

            ResourceKey outsideKey

      - #### parent

            Resource parent

  - ### Class org.pentaho.reporting.libraries.resourceloader.cache.CachingResourceBundleData extends java.lang.Object implements Serializable

    serialVersionUID:
      -7272527822440412818L

    - ### Serialized Fields

      - #### attributes

            java.util.HashMap attributes

      - #### data

            ResourceBundleData data

  - ### Class org.pentaho.reporting.libraries.resourceloader.cache.CachingResourceData extends java.lang.Object implements Serializable

    serialVersionUID:
      -1749415356208356705L

    - ### Serialized Fields

      - #### attributes

            java.util.HashMap attributes

      - #### data

            ResourceData data

  - ### Class org.pentaho.reporting.libraries.resourceloader.cache.DefaultResourceBundleDataCacheEntry extends java.lang.Object implements Serializable

    serialVersionUID:
      980125445121523950L

    - ### Serialized Fields

      - #### data

            ResourceBundleData data

      - #### version

            long version

  - ### Class org.pentaho.reporting.libraries.resourceloader.cache.DefaultResourceDataCacheEntry extends java.lang.Object implements Serializable

    serialVersionUID:
      -8308023147327221724L

    - ### Serialized Fields

      - #### data

            ResourceData data

      - #### version

            long version

- ## Package org.pentaho.reporting.libraries.resourceloader.loader

  - ### Class org.pentaho.reporting.libraries.resourceloader.loader.AbstractResourceData extends java.lang.Object implements Serializable

    serialVersionUID:
      -2578855461270413802L

  - ### Class org.pentaho.reporting.libraries.resourceloader.loader.URLResourceData extends AbstractResourceData implements Serializable

    serialVersionUID:
      -7183025686032509509L

    - ### Serialized Fields

      - #### contentLength

            java.lang.Long contentLength

      - #### contentType

            java.lang.String contentType

      - #### filename

            java.lang.String filename

      - #### key

            ResourceKey key

      - #### lastDateMetaDataRead

            long lastDateMetaDataRead

      - #### metaDataOK

            boolean metaDataOK

      - #### modificationDate

            long modificationDate

      - #### url

            java.net.URL url

- ## Package org.pentaho.reporting.libraries.resourceloader.loader.file

  - ### Class org.pentaho.reporting.libraries.resourceloader.loader.file.FileResourceData extends AbstractResourceData implements Serializable

    serialVersionUID:
      -5719048997437795736L

    - ### Serialized Fields

      - #### file

            java.io.File file

      - #### key

            ResourceKey key

- ## Package org.pentaho.reporting.libraries.resourceloader.loader.resource

  - ### Class org.pentaho.reporting.libraries.resourceloader.loader.resource.ClassloaderResourceData extends AbstractResourceData implements Serializable

    serialVersionUID:
      980009972320937886L

    - ### Serialized Fields

      - #### key

            ResourceKey key

      - #### resourcePath

            java.lang.String resourcePath

- ## Package org.pentaho.reporting.libraries.resourceloader.loader.zip

  - ### Class org.pentaho.reporting.libraries.resourceloader.loader.zip.ZipEntryKey extends java.lang.Object implements Serializable

    - ### Serialized Fields

      - #### entryName

            java.lang.String entryName

      - #### zipFile

            ResourceData zipFile

  - ### Class org.pentaho.reporting.libraries.resourceloader.loader.zip.ZipResourceData extends AbstractResourceData implements Serializable

    serialVersionUID:
      -7432641415119820243L

    - ### Serialized Fields

      - #### key

            ResourceKey key